package com.yiqi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.common.core.domain.R;
import com.yiqi.system.domain.SysSms;

/**
 * 短信Service接口
 *
 * @author ruoyi
 * @date 2023-10-03
 */
public interface ISysSmsService extends IService<SysSms> {
    /**
     * 查询短信
     *
     * @param id 短信主键
     * @return 短信
     */
    public SysSms selectSysSmsById(Long id);

    /**
     * 查询短信列表
     *
     * @param sysSms 短信
     * @return 短信集合
     */
    public List<SysSms> selectSysSmsList(SysSms sysSms);

    /**
     * 新增短信
     *
     * @param sysSms 短信
     * @return 结果
     */
    public int insertSysSms(SysSms sysSms);

    /**
     * 修改短信
     *
     * @param sysSms 短信
     * @return 结果
     */
    public int updateSysSms(SysSms sysSms);

    /**
     * 批量删除短信
     *
     * @param ids 需要删除的短信主键集合
     * @return 结果
     */
    public int deleteSysSmsByIds(Long[] ids);

    /**
     * 删除短信信息
     *
     * @param id 短信主键
     * @return 结果
     */
    public int deleteSysSmsById(Long id);


    public R checkSms(String phone, String code, String smsType);
}
